import cn.hutool.crypto.digest.DigestAlgorithm;
import cn.hutool.crypto.digest.Digester;
import cn.hutool.http.HttpUtil;

import java.io.File;


public class TestCase {

//    @Test
    public void test1() {
        Digester MD5 = new Digester(DigestAlgorithm.MD5);
        String mobile = "15071072750";
        String password = "1234";
        String s = MD5.digestHex(password.concat(MD5.digestHex(mobile).substring(0, 5)));
        System.out.println(s);
    }

//    @Test
    public void testPDF() {
        File f = new File("/data/home/zuy/01.pdf");
        HttpUtil.downloadFile("https://pay.wechatpay.cn/invoicing/fapiao/fapiao-file?token=AASkCcgAAAABAAAAAAAzwnqoYS46n1SlLY9LZSAAAABf4m5a0FKM5L7DnWkBpnsWBa_izWKMwHtR4d-e-BZcbJiO9Zp2_EqQBHFU1Sx4XNahl8QS826lV2C2FkLWjX456dPwJToQIQq5Q3zVyNoLKkh_kVpVFOz2saVVPkBvhU4rshjhZntlCjTAVFNzsY6uYDi-1XGHw6QnZoWFg8zUggWS8yN-6Bxc22R6JOO_CPDE6ih6uRZMQuDeSA&mchid=1635831469&openid=ox6fm6KbWb8Y8q0-xFs3kPREaPm8&invoice_code=144032309110&invoice_no=44452848&fapiao_id=1170499328033161216",f);
    }
}
